%define	name	cgicc
%define	version	3.0
%define	release	1
%define	serial	1

Summary:	Cgicc is an ANSI C++ class lib that simplifies the creation of CGI apps.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Development/Libraries
URL:		http://www.gnu.org/software/cgicc
Vendor:		Stephen F. Booth <bug-cgicc@gnu.org>
Source:		%{name}-%{version}.tar.gz

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

BuildRoot:	/tmp/%{name}-%{version}

%description
GNU Cgicc is an ANSI C++ compliant class library that greatly
simplifies the creation of CGI applications for the World Wide
Web. Cgicc performs the following functions:

 - Parses both GET and POST form data transparently. 
 - Provides string, integer, floating-point and single- and
   multiple-choice retrieval methods for form data.
 - Provides methods for saving and restoring CGI environments to aid
   in application debugging.
 - Provides full on-the-fly HTML generation capabilities, with support
   for cookies and file inclusion.
 - Supports HTTP file upload. 

%prep
%setup -q
CXXFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

%build
make

%install
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install

%post 
/sbin/install-info --info-dir=/usr/info /usr/info/cgicc.info

%preun 
/sbin/install-info --info-dir=/usr/info -remove cgicc.info

%clean
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README example
/usr/include/cgicc
/usr/info/cgicc.*
/usr/lib/libcgicc.*

%changelog
* Wed May 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [cgicc-3.0-1]
- Initial RPM build.
- Reworked to use the C++ standard template library. 
  In most places, the STL class string is used where bare char* was
  used before. The obsolete classes implementing linked lists are
  gone, replaced by the STL classes vector and iterator. 
- Include files are now installed in the package include directory 
  cgicc/ under the include/ directory, instead of in the
  include/ directory itself.
- Documentation changed to info format, and expanded.
- The test/ directory was renamed to demo/.
- The demo programs are no longer installed.
- The demo programs now contain internal stylesheet information, instead 
  of linking to an external stylesheet.
- Released as part of the GNU project under the GPL.
